#language: ru

@labeling

Функционал: 002. Labeling. Дозаполенение данных для номенклатуры

Сценарий: 002.1. Labeling. Заполнение единиц измерения

	Дано Я подключаюсь под "Администратор"
	И Я заполняю константы Единицы измерения

Сценарий: 002.2. Labeling. Создание упаковок

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Наборы упаковок'
	Тогда я жду открытия окна 'Наборы упаковок' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'             |
		| 'Набор упаковок для сыров' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Набор упаковок для сыров (Набор упаковок)'
	И В текущем окне я нажимаю кнопку командного интерфейса 'Упаковки'
	* Создание упаковки для Ашана
		И Я начинаю создавать упаковку
		И я нажимаю кнопку выбора у поля "Единица по классификатору"
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку 'Подобрать из классификатора'
		Тогда открылось окно 'Классификатор единиц измерения'
		И в таблице "ДеревоКлассификатора" я перехожу к строке:
			| 'Наименование' |
			| 'Упаковка'     |
		И в таблице "ДеревоКлассификатора" я изменяю флаг 'Выбран'
		И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
		И я нажимаю на кнопку 'ОК'
		Тогда открылось окно 'Выберите единицу измерения'
		И я нажимаю на кнопку с именем 'ФормаВыбрать'
		Тогда открылось окно 'Упаковки и единицы измерения (создание) *'
		И Я заканчиваю создавать упаковку "упак (5 кг) (Ашан)" с числителем "5,000" и весом брутто "5,000"
	* Создание упаковки для 5ки
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (2.5 кг) 5ка" с числителем "2,500" и весом брутто "2,500"
	* Создание упаковки для Перекрестка
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1.5 кг) Перекресток" с числителем "1,500" и весом брутто "2,000"
	* Создание упаковки для Немаркированной продукции в 1 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (1 кг)" с числителем "1,000" и весом брутто "1,000"
	* Создание упаковки для Немаркированной продукции в 0.5 кг
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                 |
			| 'Упаковки и единицы измерения' |
		И Я начинаю создавать упаковку
		И Я заканчиваю создавать упаковку "упак (0.5 кг)" с числителем "0,500" и весом брутто "1,000"
	И В текущем окне я нажимаю кнопку командного интерфейса 'Основное'
	И Я закрываю окно 'Набор упаковок для сыров (Набор упаковок)'
	И я жду закрытия окна 'Набор упаковок (создание) *' в течение 20 секунд
	Тогда открылось окно 'Наборы упаковок'
	И Я закрываю окно 'Наборы упаковок'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.3. Labeling. Создание серий номенклатуры

	Дано я удаляю объекты "Справочники.к2СерииНоменклатуры" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2ШтрихкодыНоменклатуры"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Номенклатура'
	Тогда я жду открытия окна 'Номенклатура' в течение 20 секунд
	* Создание серии для сыра Адыгейского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'   |
			| 'Сыр Адыгейский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Адыгейский (Номенклатура)'
		И Я закрываю окно 'Сыр Адыгейский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание серии для сыра Пошехонского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Пошехонский' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Пошехонский (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Пошехонский (Номенклатура)'
		И Я закрываю окно 'Сыр Пошехонский (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание серии для сыра Костромского
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'    |
			| 'Сыр Костромской' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '23.10.2019'
		И в поле 'Годен до' я ввожу текст '27.10.2020  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Костромской (Номенклатура)'
		И Я закрываю окно 'Сыр Костромской (Номенклатура)'
		Тогда открылось окно 'Номенклатура'
	* Создание штрихкодов для сыра Сулугуни
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Сыр Сулугуни' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сыр Сулугуни (Номенклатура)'
		И я перехожу к закладке "Дополнительно"
		И у поля "Штрихкоды (0)" я нажимаю гиперссылку 'Штрихкоды (0)'
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000011'
		И из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
		И из выпадающего списка "Ед. изм." я выбираю по строке 'упак (1 кг)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000012'
		И из выпадающего списка "Характеристика" я выбираю по строке '5ка'
		И из выпадающего списка "Ед. изм." я выбираю по строке 'упак (2.5 кг) 5ка'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000013'
		И из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
		И из выпадающего списка "Ед. изм." я выбираю по строке 'упак (5 кг) (Ашан)'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000014'
		И из выпадающего списка "Характеристика" я выбираю по строке 'Перекресток'
		И из выпадающего списка "Ед. изм." я выбираю по строке 'упак (1.5 кг) Перекресток'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000015'
		И из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
		И из выпадающего списка "Ед. изм." я выбираю по строке 'кг'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Штрихкоды номенклатуры (создание)'
		И в поле 'Штрихкод' я ввожу текст '2020000000016'
		И из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Штрихкоды номенклатуры (создание) *' в течение 20 секунд
		Тогда открылось окно 'Штрихкоды номенклатуры'
		И Я закрываю окно 'Штрихкоды номенклатуры'
		Тогда открылось окно 'Сыр Сулугуни (Номенклатура)'
		И у поля с именем "ГиперссылкаПерейтиСерииНоменклатуры" я нажимаю гиперссылку 'Список (0)'
		Тогда открылось окно 'Серии номенклатуры'
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник регистрации новой серии'
		И в поле 'Номер' я ввожу текст '000001'
		И в поле 'Дата выпуска' я ввожу текст '19.09.2019'
		И в поле 'Годен до' я ввожу текст '20.10.2019  0:00:00'
		И я нажимаю на кнопку 'Создать'
		Тогда открылось окно 'Серии номенклатуры'
		И Я закрываю окно 'Серии номенклатуры'
		Тогда открылось окно 'Сыр Сулугуни (Номенклатура)'
		И Я закрываю окно 'Сыр Сулугуни (Номенклатура)'
	И Я закрываю окно 'Номенклатура'

Сценарий: 002.4. Labeling. Создание Шаблона этикетки упаковки

	Дано я удаляю объекты "Справочники.к2ШаблоныЭтикетокИЦенников" без контроля ссылок
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Шаблоны этикеток и ценников'
	Тогда открылось окно 'Шаблоны этикеток и ценников'
	* Создание Этикетки для товаров
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник создания этикетки'
		И из выпадающего списка "Назначение" я выбираю точное значение 'Этикетка для товаров'
		И в поле с именем 'Наименование' я ввожу текст 'Этикетка для товаров'
		И я нажимаю на кнопку 'Сохранить'
		Тогда открылось окно 'Шаблоны этикеток и ценников'
	* Создание этикетки Основная
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник создания этикетки'
		И в поле с именем 'Наименование' я ввожу текст 'Основная'
		И из выпадающего списка "Назначение" я выбираю точное значение 'Этикетка для складских ячеек'
		И я нажимаю на кнопку 'Сохранить'
		Тогда открылось окно 'Шаблоны этикеток и ценников'
	* Создание Этикетки для штрихкодов упаковок
		И я нажимаю на кнопку с именем 'ФормаСоздать'
		Тогда открылось окно 'Помощник создания этикетки'
		И из выпадающего списка "Назначение" я выбираю точное значение 'Этикетка для штрихкодов упаковок'
		И в поле с именем 'Наименование' я ввожу текст 'Этикетка для штрихкодов упаковок'
		И я нажимаю на кнопку 'Изменить в редакторе'
		Тогда открылось окно 'Шаблон этикетки: Этикетка для штрихкодов упаковок (Создание)'
		И в табличном документе 'ПолеТабличногоДокумента' я перехожу к ячейке "Штрихкодf06f9d9f_4bc5_457f_a102_a20dc9fe358d"
		И в таблице "СвойстваЯчеек" я перехожу к строке:
			| 'Значение'                     | 'Свойство'      |
			| 'GS1 DataBar Expanded Stacked' | 'Тип штрихкода' |
		И в таблице "СвойстваЯчеек" я активизирую поле "Значение"
		И в таблице "СвойстваЯчеек" из выпадающего списка "Значение" я выбираю точное значение 'GS1-128'
		И в табличном документе 'ПолеТабличногоДокумента' я перехожу к ячейке "R1C1"
		И в таблице "СвойстваЯчеек" я активизирую поле "Свойство"
		И в таблице "Идентификаторы" я нажимаю на кнопку 'Подбор'
		Тогда открылось окно 'Подбор идентификаторов применения'
		И в таблице "Идентификаторы" я перехожу к строке:
			| 'Пометка' | 'Представление идентификатора' |
			| 'Нет'     | 'GTIN (01)'                    |
		И в таблице "Идентификаторы" я изменяю флаг 'Пометка'
		И в таблице "Идентификаторы" я завершаю редактирование строки
		И в таблице "Идентификаторы" я перехожу к строке:
			| 'Пометка' | 'Представление идентификатора' |
			| 'Нет'     | 'Номер партии (10)'            |
		И в таблице "Идентификаторы" я изменяю флаг 'Пометка'
		И в таблице "Идентификаторы" я завершаю редактирование строки
		И в таблице "Идентификаторы" я перехожу к строке:
			| 'Пометка' | 'Представление идентификатора' |
			| 'Нет'     | 'Серийный номер (21)'          |
		И в таблице "Идентификаторы" я изменяю флаг 'Пометка'
		И в таблице "Идентификаторы" я завершаю редактирование строки
		И я нажимаю на кнопку 'Готово'
		Тогда открылось окно 'Шаблон этикетки: Этикетка для штрихкодов упаковок (Создание) *'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Шаблон этикетки: Этикетка для штрихкодов упаковок (Создание) *' в течение 20 секунд
	Тогда открылось окно 'Шаблоны этикеток и ценников'
	И я закрываю окно 'Шаблоны этикеток и ценников'

Сценарий: 002.4. Labeling. Установка упаковок для номенклатур

	Дано я удаляю все элементы таблицы "РегистрСведений.к2УпаковкиХарактеристик"
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Упаковки характеристик'
	Тогда я жду открытия окна 'Упаковки характеристик' в течение 20 секунд
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Адыгейский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Адыгейский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Адыгейский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Пошехонский" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Пошехонский" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Пошехонский" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Костромской" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Костромской" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Костромской" с характеристикой "Перекресток"
	И Я фиксирую упаковку "упак (5 кг) (Ашан)" для номенклатуры "Сыр Сулугуни" с характеристикой "Ашан"
	И Я фиксирую упаковку "упак (2.5 кг) 5ка" для номенклатуры "Сыр Сулугуни" с характеристикой "5ка"
	И Я фиксирую упаковку "упак (1.5 кг) Перекресток" для номенклатуры "Сыр Сулугуни" с характеристикой "Перекресток"
	И Я закрываю окно 'Упаковки характеристик'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.5. Labeling. Установка шаблонов этикетки упаковки

	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Классификаторы номенклатуры'
	Тогда я жду открытия окна 'Классификаторы номенклатуры' в течение 20 секунд
	Когда я нажимаю на кнопку 'Упаковки характеристик'
	Тогда я жду открытия окна 'Упаковки характеристик' в течение 20 секунд
	И Я фиксирую шаблон этикетки упаковки "Этикетка для штрихкодов упаковок" для номенклатуры "Сыр Сулугуни" с характеристикой "Ашан" и упаковкой "упак (5 кг) (Ашан)"
	И Я фиксирую шаблон этикетки упаковки "Этикетка для штрихкодов упаковок" для номенклатуры "Сыр Сулугуни" с характеристикой "Перекресток" и упаковкой "упак (1.5 кг) Перекресток"
	И Я фиксирую шаблон этикетки упаковки "Этикетка для штрихкодов упаковок" для номенклатуры "Сыр Сулугуни" с характеристикой "5ка" и упаковкой "упак (2.5 кг) 5ка"
	И Я закрываю окно 'Упаковки характеристик'
	Тогда открылось окно 'Классификаторы номенклатуры'
	И Я закрываю окно 'Классификаторы номенклатуры'

Сценарий: 002.6. Labeling. Завершение

	И Я закрыл все окна клиентского приложения